# Get transactions by invoiceid GET https://api.shipbob.com/2025-07/invoices/{invoiceId}/transactions The unique identifier of the invoice whose transactions are to be retrieved Reference: https://developer.shipbob.com/2025-07/api/billing/get-transactions-by-invoiceid ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: | Get transactions by invoiceid version: endpoint_billing.getTransactionsByInvoiceid paths: /2025-07/invoices/{invoiceId}/transactions: get: operationId: get-transactions-by-invoiceid summary: | Get transactions by invoiceid description: >- The unique identifier of the invoice whose transactions are to be retrieved tags: - - subpackage_billing parameters: - name: invoiceId in: path description: > The unique identifier of the invoice whose transactions are to be retrieved Ex:-12345. required: true schema: type: string format: int32 - name: Cursor in: query description: > [Optional] A pagination token used to jump to first, last, next or previous pages. When supplied, it overrides all other filter parameters. required: false schema: type: string - name: PageSize in: query description: > Number of transactions to return per page (default is 100, to be entered when API is called for first time). Must be between 1 and 1000. required: false schema: type: integer - name: SortOrder in: query description: > Sort order of the results. Valid values: Ascending or Descending (default: Descending). required: false schema: type: string - name: Authorization in: header description: Authentication using Personal Access Token (PAT) token required: true schema: type: string responses: '200': description: Success content: application/json: schema: $ref: >- #/components/schemas/Billing.TransactionDtoCursorPagedResponseV3 '401': description: Authorization missing or invalid content: {} '403': description: The provided credentials are not authorized to access this resource content: {} '404': description: Not Found content: {} '500': description: Server Error content: {} components: schemas: Billing.InvoiceTaxDtoV3: type: object properties: tax_amount: type: number format: double description: Tax amount charged for the tax type. tax_rate: type: number format: double description: Rate of Tax charged for the tax type tax_type: type: - string - 'null' description: Type of tax charged for eg. GST BillingTransactionDtoV3TransactionType: type: string enum: - value: Charge - value: Refund - value: Credit - value: Payment - value: BalanceAdjustment Billing.TransactionDtoV3: type: object properties: additional_details: type: - object - 'null' additionalProperties: description: Any type description: >- Any additional details related to the transaction in a key-value pair format. amount: type: - number - 'null' format: double description: Charge Amount for the transaction charge_date: type: - string - 'null' description: The Charge date of transaction currency_code: type: - string - 'null' description: The ISO currency code (e.g., USD, EUR) for the transaction. fulfillment_center: type: - string - 'null' description: >- The name or code of the fulfillment center involved in the transaction. invoice_date: type: - string - 'null' description: The date the invoice was generated. invoice_id: type: - integer - 'null' description: The unique identifier of the related invoice. invoice_type: type: - string - 'null' description: "The type or category of the invoice. Available options:\r\n- Shipping \r\n- Inbound Fee \r\n- WarehouseStorage \r\n- AdditionalFee \r\n- Return \r\n- Credits \r\n- BalanceAdjustment \r\n- Payment" invoiced_status: type: - boolean - 'null' description: >- Indicates whether the transaction has been invoiced. True if billed, false if unbilled. reference_id: type: - string - 'null' description: A unique reference identifier associated with the transaction. reference_type: type: - string - 'null' description: "The type of reference associated with the ReferenceId. Available options:\r\n- Shipment \r\n- Return \r\n- WRO \r\n- URO \r\n- Ticket Number \r\n- FC \r\n- LPN Reference \r\n- Transfer Plan" taxes: type: - array - 'null' items: $ref: '#/components/schemas/Billing.InvoiceTaxDtoV3' description: A list of tax details applied to the transaction if exists. transaction_fee: type: - string - 'null' description: "The fee type associated with the transaction for eg. Shipping fees\r\nTo get all the available transaction fees use the endpoint - '/transaction-fees'" transaction_id: type: - string - 'null' description: The unique identifier for transaction transaction_type: oneOf: - $ref: '#/components/schemas/BillingTransactionDtoV3TransactionType' - type: 'null' description: The classification or nature of the transaction. Billing.TransactionDtoCursorPagedResponseV3: type: object properties: first: type: - string - 'null' description: Go to the first page items: type: - array - 'null' items: $ref: '#/components/schemas/Billing.TransactionDtoV3' last: type: - string - 'null' description: Go to the Last page next: type: - string - 'null' description: Go to the Next page prev: type: - string - 'null' description: Go to the Previous page ``` ## SDK Code Examples ```python Billing_getTransactionsByInvoiceid_example import requests url = "https://api.shipbob.com/2025-07/invoices/invoiceId/transactions" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript Billing_getTransactionsByInvoiceid_example const url = 'https://api.shipbob.com/2025-07/invoices/invoiceId/transactions'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Billing_getTransactionsByInvoiceid_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.shipbob.com/2025-07/invoices/invoiceId/transactions" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Billing_getTransactionsByInvoiceid_example require 'uri' require 'net/http' url = URI("https://api.shipbob.com/2025-07/invoices/invoiceId/transactions") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java Billing_getTransactionsByInvoiceid_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.shipbob.com/2025-07/invoices/invoiceId/transactions") .header("Authorization", "Bearer ") .asString(); ``` ```php Billing_getTransactionsByInvoiceid_example request('GET', 'https://api.shipbob.com/2025-07/invoices/invoiceId/transactions', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp Billing_getTransactionsByInvoiceid_example using RestSharp; var client = new RestClient("https://api.shipbob.com/2025-07/invoices/invoiceId/transactions"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift Billing_getTransactionsByInvoiceid_example import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.shipbob.com/2025-07/invoices/invoiceId/transactions")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```